# GUNDAM BREAKER 4 1.3.0
# BID: 0FCB7D1E6E4D1836

unsafeCheck: true

ALL_FPS:
  # r.DynamicRes.FrameTimeBudget
  -
    type: evaluate_write
    address: [MAIN, 0x9F3DD48, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 2)", "TruncDec(FRAMETIME_TARGET, 2)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x9F6B7E8, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  # r.VSync
  -
    type: write
    address: [MAIN, 0x976F5C8, 0]
    value_type: uint32
    value: [0, 0]
  -
    type: block
    what: timing
